Package helma.framework

# Class NotFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
helma.framework.NotFoundException

All Implemented Interfaces:
  `Serializable`

public class NotFoundException extends RuntimeException
The basic exception class used to tell when certain things go wrong in evaluation of requests.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NotFoundException(String message)`
Creates a new NotFoundException object.
`NotFoundException(String message, Throwable cause)`
Creates a new NotFoundException object with a cause.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NotFoundException

public NotFoundException(String message)
Creates a new NotFoundException object.

Parameters:
  `message` - ...

### NotFoundException

public NotFoundException(String message, Throwable cause)
Creates a new NotFoundException object with a cause.

Parameters:
  `message` - the message
  `cause` - the cause